<form [formGroup]="registerForm" (ngSubmit)="onSubmit()">
    @if (loading) {
    <progress class="progress w-full"></progress>
    }

    <div class="grid grid-cols-2 gap-4">
        <!-- Username -->
        <div>
            <label class="form-control w-full max-w-xs">
                <div class="label">
                    <span class="label-text">ชื่อผู้ใช้งาน</span>
                </div>
                <input
                    formControlName="username"
                    type="text"
                    class="input input-bordered w-full max-w-xs"
                />
                <div class="label">
                    @if (form['username'].errors) {
                    <span class="label-text-alt text-red-500">
                        ข้อมูลไม่ถูกต้อง
                    </span>
                    }
                </div>
            </label>
        </div>
        <!-- Password  -->
        <div>
            <label class="form-control w-full max-w-xs">
                <div class="label">
                    <span class="label-text">รหัสผ่าน</span>
                </div>
                <input
                    formControlName="password"
                    type="password"
                    class="input input-bordered w-full max-w-xs"
                />
                <div class="label">
                    @if (form['password'].errors) {
                    <span class="label-text-alt text-red-500">
                        กรุณาระบุรหัสผ่าน
                    </span>
                    }
                </div>
            </label>
        </div>
        <!-- First Name -->
        <div>
            <label class="form-control w-full max-w-xs">
                <div class="label">
                    <span class="label-text">ชื่อ</span>
                </div>
                <input
                    formControlName="firstName"
                    type="text"
                    class="input input-bordered w-full max-w-xs"
                />
                <div class="label">
                    @if (form['firstName'].errors) {
                    <span class="label-text-alt text-red-500">
                        ชื่อไม่ถูกต้อง
                    </span>
                    }
                </div>
            </label>
        </div>
        <!-- Last Name  -->
        <div>
            <label class="form-control w-full max-w-xs">
                <div class="label">
                    <span class="label-text">นามสกุล</span>
                </div>
                <input
                    formControlName="lastName"
                    type="text"
                    class="input input-bordered w-full max-w-xs"
                />
                <div class="label">
                    @if (form['lastName'].errors) {
                    <span class="label-text-alt text-red-500">
                        นามสกุลไม่ถูกต้อง
                    </span>
                    }
                </div>
            </label>
        </div>
        <!-- Email -->
        <div>
            <label class="form-control w-full max-w-xs">
                <div class="label">
                    <span class="label-text">อีเมล์</span>
                </div>
                <input
                    formControlName="email"
                    type="email"
                    class="input input-bordered w-full max-w-xs"
                />
                <div class="label">
                    @if (form['email'].errors) {
                    <span class="label-text-alt text-red-500">
                        อีเมล์ไม่ถูกรูปแบบ
                    </span>
                    }
                </div>
            </label>
        </div>
        <!-- Gender -->
        <div>
            <label class="form-control w-full max-w-xs">
                <div class="label">
                    <span class="label-text">เพศ</span>
                </div>
                <select
                    formControlName="gender"
                    class="select select-bordered w-full max-w-xs"
                >
                    <option value="male">ชาย</option>
                    <option value="female">หญิง</option>
                </select>
                <div class="label">
                    <span class="label-text-alt"></span>
                </div>
            </label>
        </div>
    </div>

    <div class="pt-4">
        <button
            class="btn btn-primary"
            [disabled]="registerForm.invalid || loading"
        >
            บันทึกข้อมูล
        </button>
    </div>
</form>
